Subject: bug#25518: 25.1.91; url-retrieve does not work with https over proxy

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Sep 2019 10:31:53 +0200

Andreas Schwab <[email-masked]> writes:

> url-retrieve should use CONNECT when talking to a https URL over a proxy
> and then talk over the connection as if not using a proxy.
>
> ;; use locally running privoxy as proxy
> (setq url-proxy-services '(("https" . "localhost:8118")))
> (with-current-buffer (url-retrieve-synchronously "https://www.heise.de")
>   (buffer-string)) => "HTTP/1.1 200 Connection established\n\n"

I tried this with tinyproxy and Emacs 27, and it worked for me, so I'm
guessing this has been fixed in the meantime, and I'm closing the bug
report.

Please reopen if this is still an issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no